Ability to specify a project code

2007-03-09 01:03 - Matt Goldberg

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Within the project settings, it would be a useful idea to be able to specify a project code.  For example, if I have

a project which is called "Apples Bananas Carrots", I might choose my project code to be "ABC" (obviously

doesn't have to be limited to 3 chars, but the shorter the better).  This project code would then be used in the issue

ID.  So the first issue ID for that project would be "ABC-1".  This way, each project can have a set of issues

starting from 1 with their unique project code prepended to the front.

This is not essential, but is useful for tracking when you have a number of large projects.

Related issues:

Related to Redmine - Feature #5765: Issue Numbers per Project Closed 2010-06-27

Has duplicate Redmine - Defect #3843: Better issue identifiers Closed 2009-09-10

History

#1 - 2008-02-16 15:37 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Unique ids are vital when you can move issues between projects.

#2 - 2014-08-23 19:10 - Andriy Lesyuk

For those, who comes to this issue - this was implemented in the ISSUE-id plugin.

#3 - 2015-04-04 02:26 - Timur Rahmanov

ISSUE-id plugin is exactly what I need. but do we have any plugin that supports 2.6.2 Redmine?
